Subject: Re: manual merge of the cix tree with the arm-soc tree

From: Peter Chen <[email-masked]>
Date: Fri, 8 May 2026 18:52:07 +0800

On 26-05-08 11:12:23, Thierry Reding wrote:
> Today's linux-next merge of the cix tree got a conflict in:
> 
>   arch/arm64/configs/defconfig
> 
> between commit:
> 
>   f54f7979ff88 ("arm64: defconfig: Move entries to match savedefconfig")
> 
> from the arm-soc trees and commit:
> 
>   f4f1e3bdb5f9 ("arm64: defconfig: Enable CIX Sky1 pinctrl, PCIe host, and Cadence GPIO")
> 
> from the cix tree.
> 
> It looks like the patch from the cix tree somehow partially landed in
> the arm-soc tree, even though it wasn't pulled yet.

Hi Thierry,

Sorry for about it.

The above CIX things defconfig changes have reviewed near to Arm64 v7.1-rc1
merge window close, so I have not sent pull-request for it, and it left
at cix's for-next tree. These two days, I rebased cix's for-next tree to
v7.1-rc2, and this patch is on top of it.

Arnd, I deleted this patch at CIX next-tree. Would you please help queue it
in your soc/defconfig:

https://git.kernel.org/pub/scm/linux/kernel/git/peter.chen/cix.git/
branch: cix/defconfig

Thanks,
Peter

> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> diff --git a/arch/arm64/configs/defconfig b/arch/arm64/configs/defconfig
> index 094bb9cd8764..e5f1901ee408 100644
> --- a/arch/arm64/configs/defconfig
> +++ b/arch/arm64/configs/defconfig
> @@ -701,6 +701,7 @@ CONFIG_PINCTRL_SM8550_LPASS_LPI=m
>  CONFIG_PINCTRL_SM8650_LPASS_LPI=m
>  CONFIG_PINCTRL_SOPHGO_SG2000=y
>  CONFIG_GPIO_ALTERA=m
> +CONFIG_GPIO_CADENCE=m
>  CONFIG_GPIO_DAVINCI=y
>  CONFIG_GPIO_DWAPB=y
>  CONFIG_GPIO_MB86S7X=y

-- 

Best regards,
Peter